Package org.jboss.resteasy.plugins.providers

## Class JaxrsServerFormUrlEncodedProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.JaxrsServerFormUrlEncodedProvider

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<javax.ws.rs.core.Form>`

      @Priority(2000)
      @Provider
      @Produces("application/x-www-form-urlencoded")
      @Consumes("application/x-www-form-urlencoded")
      public class JaxrsServerFormUrlEncodedProvider
      extends Object
      implements javax.ws.rs.ext.MessageBodyReader<javax.ws.rs.core.Form>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `useContainerParams` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxrsServerFormUrlEncodedProvider​(boolean useContainerParams)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isReadable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `javax.ws.rs.core.Form` | `readFrom​(Class<javax.ws.rs.core.Form> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders, InputStream entityStream)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### useContainerParams

          protected boolean useContainerParams

  - ### Constructor Detail

    - #### JaxrsServerFormUrlEncodedProvider

          public JaxrsServerFormUrlEncodedProvider​(boolean useContainerParams)

  - ### Method Detail

    - #### isReadable

          public boolean isReadable​(Class<?> type,
                                    Type genericType,
                                    Annotation[] annotations,
                                    javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<javax.ws.rs.core.Form>`

    - #### readFrom

          public javax.ws.rs.core.Form readFrom​(Class<javax.ws.rs.core.Form> type,
                                                Type genericType,
                                                Annotation[] annotations,
                                                javax.ws.rs.core.MediaType mediaType,
                                                javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders,
                                                InputStream entityStream)
                                         throws IOException,
                                                javax.ws.rs.WebApplicationException

      Specified by:
        `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<javax.ws.rs.core.Form>`
      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`